### Method

# Json Array foreach_element

since: 0.8

#### Declaration [src]

    void
    json_array_foreach_element (
      JsonArray* array,
      JsonArrayForeach func,
      gpointer data
    )

#### Description [src]

Iterates over all elements of an array, and calls a function on each one of them.

It is safe to change the value of an element of the array while iterating over it, but it is not safe to add or remove elements from the array.

Available since: 0.8

#### Parameters

`func`

  Type: `JsonArrayForeach`

  The function to be called on each element.

`data`

  Type: `gpointer`

  Data to be passed to the function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.